package com.hp.user.client.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 * 企业和服务商的关系
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

//@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
@TableName("r_customer_service_provider_enterprise")
public class CustomerServiceProviderEnterprise implements Serializable {
    /**
     * 服务商Id
     */
    private Long serviceProviderId;
    /**
     * 企业Id
     */
    private Long enterpriseId;

    private CustomerServiceProviderEnterprise(){}

    public CustomerServiceProviderEnterprise(Long serviceProviderId, Long enterpriseId) {
        this.serviceProviderId = serviceProviderId;
        this.enterpriseId = enterpriseId;
    }

    public Long getServiceProviderId() {
        return serviceProviderId;
    }

    public void setServiceProviderId(Long serviceProviderId) {
        this.serviceProviderId = serviceProviderId;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
